CADDIT CAD CAM CNC Software - download AutoCAD compatible design software progeCAD Alibre T-FLEX and more
CADDIT Website Knowledge Base Search:
CL

progeCAD Help

CR
Welcome to progeCAD
Working with progeCAD
Command Reference
CAD System Variables
Programming progeCAD
Full Index (caution - 400kb)

Further Links:

Download progeCAD
Register progeCAD

Learning

T-FLEX PLM tutorial (PDF)
progeCAD IntelliCAD and AutoCAD training 
CATIA 2D 3D design tutorial
Alibre CAD/CAM basic tutorial

Resources

Educational CAD Software Solutions
Python scripting for DOS and Windows
Other free software downloads
CADDIT CAD CAM Forum Australia
__

(dictnext ename [rewind])


Find the next item in a dictionary.


The dictnext function searches a dictionary (ename) to find the next item in the dictionary. If the parameter rewind is present and is not nil, the dictionary is rewound and the first entry in it is retrieved.

Example

; Create an entity list

(setq dictionary (list '(0 . "DICTIONARY") '(100 . "AcDbDictionary")))

; Create an entity from entity list

(setq xname (entmakex dictionary))

; Get the named object dictionary

(setq nmdict (namedobjdict))

; Add a record to dictionary table and returns the entity name of the object added

(setq newdict (dictadd nmdict "MY_DICTIONARY" xname))

; Create an entity list

(setq datalist (append (list '(0 . "XRECORD") '(100 . "AcDbXrecord")) '((1 . "MY_DATA") (10 1. 2. 3.) (70 . 33))))

; Create an entity from entity list

(setq xname (entmakex datalist))

; Add a record to dictionary table and returns the entity name of the object added

(dictadd newdict "FIRST_DATA_RECORD" xname)

; Create an entity from entity list

(setq xname (entmakex datalist))

; Add a record to dictionary table.

(dictadd newdict "SECOND_DATA_RECORD" xname)

; Returns entity name of FIRST_DATA_RECORD

(cdr (car (dictnext newdict)))

; Returns entity name of SECOND_DATA_RECORD

(cdr (car (dictnext newdict)))

; Returns nil as there are no more records

(cdr (car (dictnext newdict)))

; Rewinds and so returns entity name of FIRST_DATA_RECORD

(cdr (car (dictnext newdict T)))

(dictadd)

(dictremove)

(dictrename)

(dictsearch)

LISP Compatibility

Programming Overview of LISP (LISt Processing) Language

CADDIT® is a registered trademark in Australia. All Rights Reserved. Comments concerning the content of this site should be addressed to our webmaster. progeCAD is a trademark of ProgeCAD srl. Autodesk® and AutoCAD® are both registered trademarks or trademarks of a third party, and used only for comparison purposes. All other trademarks, trade names or company names referenced herein are used for identification only and are the property of their respective owners. Legal and Terms of Use. Google. Find us on Google+.